<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Dispatchers_V2 StructType
 * @subpackage Structs
 */
class Get_Dispatchers_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DispatcherSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherSelection
     */
    public $DispatcherSelection;
    /**
     * Constructor method for Get_Dispatchers_V2
     * @uses Get_Dispatchers_V2::setLogin()
     * @uses Get_Dispatchers_V2::setDispatcherSelection()
     * @param \StructType\Login $login
     * @param \StructType\DispatcherSelection $dispatcherSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\DispatcherSelection $dispatcherSelection = null)
    {
        $this
            ->setLogin($login)
            ->setDispatcherSelection($dispatcherSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Dispatchers_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DispatcherSelection value
     * @return \StructType\DispatcherSelection|null
     */
    public function getDispatcherSelection()
    {
        return $this->DispatcherSelection;
    }
    /**
     * Set DispatcherSelection value
     * @param \StructType\DispatcherSelection $dispatcherSelection
     * @return \StructType\Get_Dispatchers_V2
     */
    public function setDispatcherSelection(\StructType\DispatcherSelection $dispatcherSelection = null)
    {
        $this->DispatcherSelection = $dispatcherSelection;
        return $this;
    }
}
